gnutls_ocsp_req_print(3)

NAME
gnutls_ocsp_req_print - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_print(gnutls_ocsp_req_t req, gnutls_ocsp_print_formats_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_ocsp_req_t req
    The structure to be printed

gnutls_ocsp_print_formats_t format
    Indicate the format to use

gnutls_datum_t * out
    Newly allocated datum with (0) terminated string.

DESCRIPTION
This function will pretty print a OCSP request, suitable for display to a human. If the format is GNUTLS_OCSP_PRINT_FULL then all fields of the request will be output, on multiple lines. The output out ->data needs to be deallocate using gnutls_free().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/